package com.njzscloud.supervisory.order.contant;

import com.njzscloud.common.core.ienum.DictStr;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 字典代码：order_status
 * 字典名称：订单状态
 */
@Getter
@RequiredArgsConstructor
public enum OrderStatus implements DictStr {
    YiYuYue("YiYuYue", "已预约"),// 未指派清运公司
    DaiPaiDan("DaiPaiDan", "待派单"), // 未指派司机
    DaiJieDan("DaiJieDan", "待接单"),// 未指定车辆
    YiJieDan("YiJieDan", "已接单"),// 接单后要审核，审核通过后才能开始清运
    QingYunZhong("QingYunZhong", "清运中"),
    // DaiJinChang("DaiJinChang", "待进场"),
    YiJinChang("YiJinChang", "已进场"),// 出场前要看料
    // DaiChuChang("DaiChuChang", "待出场"),
    YiChuChang("YiChuChang", "已出场"),
    YiWanCheng("YiWanCheng", "已完成"),// 最终态，完成前要支付
    YiQuXiao("YiQuXiao", "已取消"),// 最终态，取消前要退款
    ;
    private final String val;
    private final String txt;
}

